QuantLib: TreeLattice2D< Impl, T > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TreeLattice2D< Impl, T > Class Template Reference
Lattice methods

Two-dimensional tree-based lattice. More...

`#include <ql/methods/lattices/lattice2d.hpp>`

Inheritance diagram for TreeLattice2D< Impl, T >:
[legend]

## Public Member Functions
| TreeLattice2D (const boost::shared_ptr< T > &tree1, const boost::shared_ptr< T > &tree2, Real correlation)
Size | size (Size i) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
Public Member Functions inherited from TreeLattice< Impl >
| TreeLattice (const TimeGrid &timeGrid, Size n)
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Protected Member Functions
Disposable< Array > | grid (Time) const
Protected Member Functions inherited from TreeLattice< Impl >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< Impl >
Impl & | impl ()
const Impl & | impl () const

## Protected Attributes
boost::shared_ptr< T > | tree1_
boost::shared_ptr< T > | tree2_
Protected Attributes inherited from TreeLattice< Impl >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Detailed Description

### template<class Impl, class T = TrinomialTree>
class QuantLib::TreeLattice2D< Impl, T >

Two-dimensional tree-based lattice.

This lattice is based on two trinomial trees and primarily used for the G2 short-rate model.